package com.sf._06_内部类._02_静态内部类;

public class Outer {
    // 定义一个静态变量
    public static String ouTname = "四福科技";

    public void eat(){
      
    }
    /**
     * 定一个静态内部类
     * 和成员内部类区别就是加了一个static
     */
    public static class  Inner{
        private String name;
        public Inner(String name){
            this .name = name;
        }
        public void showName(){
            System.out.println("内部类名字"+ this.name);
            // 静态内部类可以直接访问外部类的静态成员
            System.out.println("外部类的名字:"+ ouTname);
        }
    }
}
